Update a Course Roster

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Behavior

Updates the specified course roster by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Based on any updates to the Course Roster, the following changes might take place:

  • Students who are removed from students will be added to inactive_students
  • Graders who are removed from graders will be added to inactive_graders, removed from superGraders, and removed as the leader of any Sections in this course.
  • Course Admins who are removed from course_admins will be added to inactive_courseAdmins
  • Students who are added to students will be removed from inactive_students
  • Graders who are added to graders will be removed from inactive_graders
  • Course Admins who are added to courseAdmins will be removed from inactive_courseAdmins

🚧

Roster fields must be fully specified at each PATCH

If you're trying to add a user to a field, you must append the user to the existing value. If you make a request with payload = {students: ['[email protected]']}, you will remove all other students from your course.

Returns

Returns the updated Course Roster if the update succeeded. This call will raise an error if update parameters are invalid.
















Path Params
int32
required

ID of the Course whose Course Roster you want to edit.

Body Params
students
array of strings

Must specify the entire list of students. This does not represent a list of students to enroll, but rather the entire list of active students in this course. Leaving an existing student out of this list will unenroll the student, placing them in course.inactive_students. Excluding this field will leave the students field unchanged.

students
graders
array of strings

Must specify the entire list of graders. This does not represent a list of graders to enroll, but rather the entire list of active graders in this course. Leaving an existing graders out of this list will unenroll the grader, placing them in course.inactive_graders Excluding this field will leave the graders field unchanged.

graders
superGraders
array of strings

Like course.students, course.graders, and course.courseAdmins, this represents the complete list of graders with ViewAll privilege. Excluding this field will leave the superGraders field unchanged.

superGraders
courseAdmins
array of strings

Must specify the entire list of admins. This does not represent a list of admins to enroll, but rather the entire list of active admins in this course. Leaving an existing admin out of this list will unenroll the admin, placing them in course.inactive_admins. You cannot remove yourself as a Course Admin via the codePost API. If you'd like to do so, please ask another Course Admin to remove you. If you'd like to delete your course, please email us at [email protected].

courseAdmins
Response

Language
Credentials
Query
LoadingLoading…
Response
Choose an example:
application/json